package com.ruoyi.system.controller;

import org.springframework.web.bind.annotation.PostMapping;
import com.ruoyi.system.utils.SSLExpirationChecker;
import com.ruoyi.common.core.web.domain.AjaxResult;
import org.springframework.web.bind.annotation.RequestBody;
import com.alibaba.fastjson2.JSONObject;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.core.web.controller.BaseController;

@RestController
@RequestMapping({ "/domainUtils" })
public class DomainUtilsController extends BaseController
{
    @PostMapping({ "/sslExpire" })
    public AjaxResult deployDomainSSL(@RequestBody final JSONObject params) {
        return this.success(SSLExpirationChecker.getSSLCertificateExpirationDate(params.getString("domain")));
    }
}
